| The Gaudi Framework v32r1 (f65d50dc)

Public Member Functions | Public Attributes | List of all members
DataOnDemandSvc::Node Struct Reference

Helper class of the DataOnDemandSvc. More...

`#include <src/IncidentSvc/DataOnDemandSvc.h>`

Collaboration diagram for DataOnDemandSvc::Node:
[legend]

## Public Member Functions
| Node ()=default
| Node (ClassH c, bool e, std::string n)
| Node (const Node &c)

## Public Attributes
ClassH | clazz
| the actual class More...
std::string | name
unsigned long | num = 0
bool | executing = false
bool | dataObject = false
| trivial object? DataObject? More...

## Detailed Description

Helper class of the DataOnDemandSvc.

Author
  M.Frank

Version
  1.0

Definition at line 112 of file DataOnDemandSvc.h.

## Constructor & Destructor Documentation

## ◆ Node() [1/3]

DataOnDemandSvc::Node::Node | ( |  | ) |
| default

## ◆ Node() [2/3]

DataOnDemandSvc::Node::Node | ( | ClassH | c,
|  | bool | e,
|  | std::string | n
| ) |  |
| inline

Definition at line 124 of file DataOnDemandSvc.h.

125 : clazz( c ), name( std::move( n ) ), executing( e ), dataObject( "DataObject" == name ) {}
DataOnDemandSvc::Node::name
std::string name
Definition: DataOnDemandSvc.h:116
gaudirun.c
c
Definition: gaudirun.py:487
GaudiPluginService.cpluginsvc.n
n
Definition: cpluginsvc.py:210
DataOnDemandSvc::Node::clazz
ClassH clazz
the actual class
Definition: DataOnDemandSvc.h:115
std::move
T move(T... args)
DataOnDemandSvc::Node::executing
bool executing
Definition: DataOnDemandSvc.h:118
DataOnDemandSvc::Node::dataObject
bool dataObject
trivial object? DataObject?
Definition: DataOnDemandSvc.h:120

## ◆ Node() [3/3]

DataOnDemandSvc::Node::Node | ( | const Node & | c | ) |
| inline

Definition at line 127 of file DataOnDemandSvc.h.

128 : clazz( c.clazz ), name( c.name ), num( c.num ), executing( c.executing ), dataObject( c.dataObject ) {}
DataOnDemandSvc::Node::name
std::string name
Definition: DataOnDemandSvc.h:116
gaudirun.c
c
Definition: gaudirun.py:487
DataOnDemandSvc::Node::num
unsigned long num
Definition: DataOnDemandSvc.h:117
DataOnDemandSvc::Node::clazz
ClassH clazz
the actual class
Definition: DataOnDemandSvc.h:115
DataOnDemandSvc::Node::executing
bool executing
Definition: DataOnDemandSvc.h:118
DataOnDemandSvc::Node::dataObject
bool dataObject
trivial object? DataObject?
Definition: DataOnDemandSvc.h:120

## Member Data Documentation

## ◆ clazz

ClassH DataOnDemandSvc::Node::clazz

the actual class

Definition at line 115 of file DataOnDemandSvc.h.

## ◆ dataObject

bool DataOnDemandSvc::Node::dataObject = false

trivial object? DataObject?

Definition at line 120 of file DataOnDemandSvc.h.

## ◆ executing

bool DataOnDemandSvc::Node::executing = false

Definition at line 118 of file DataOnDemandSvc.h.

## ◆ name

std::string DataOnDemandSvc::Node::name

Definition at line 116 of file DataOnDemandSvc.h.

## ◆ num

unsigned long DataOnDemandSvc::Node::num = 0

Definition at line 117 of file DataOnDemandSvc.h.

The documentation for this struct was generated from the following file:

- GaudiCoreSvc/src/IncidentSvc/DataOnDemandSvc.h